Name:           mercury
Version:        1.0
Release:        0.2.alpha6%{?dist}
Summary:        Replacement for the Maven Artifact subsystem

Group:          Development/Tools
License:        ASL 2.0
URL:            http://maven.apache.org/mercury/mercury-artifact/
# svn export http://svn.apache.org/repos/asf/maven/mercury/tags/mercury-1.0-alpha-6
# tar czf mercury-1.0-alpha-6.tar.gz mercury-1.0-alpha-6
Source0:        mercury-%{version}-alpha-6.tar.gz
Patch0:         0001-Make-it-build.patch
Patch1:         0001-Replace-plexus.lang-dependency-with-plexus.i18n.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  classworlds
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  java-devel-openjdk
BuildRequires:  jpackage-utils
BuildRequires:  junit4
BuildRequires:  log4j
BuildRequires:  maven2
BuildRequires:  maven2-common-poms
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven-doxia
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-shared
BuildRequires:  maven-shared-archiver
BuildRequires:  maven-surefire
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-wagon
BuildRequires:  plexus-archiver
BuildRequires:  plexus-compiler
BuildRequires:  plexus-container-default
BuildRequires:  plexus-digest
BuildRequires:  plexus-i18n
BuildRequires:  plexus-utils
BuildRequires:  plexus-velocity
BuildRequires:  servlet_2_4_api
BuildRequires:  tomcat5
BuildRequires:  velocity

Requires:       jpackage-utils
BuildArch:      noarch

%description
Maven Mercury is a replacement for the Maven Artifact subsystem, and a
complete replacement for the HTTP/HTTPS/DAV/DAVS portions of the existing
transport.

This package only contains Logging, Artifact, External Dependencies and
Event Framework. Transports, Mercury Repositories, Crypto, Metadata, Ant
Tasks, Shared Utilities, Maven resolusion comparison, Wagon provider
and Plexus Component are not provided.


%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc HTML documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}-alpha-6
%patch0 -p1 -b .build
%patch1 -p1 -b .lang


%build
find -name '*.java' -exec grep -l org.codehaus.plexus.lang '{}' \; |
        xargs perl -ni mercury-lang-i18n.pl

MAVEN_REPO_LOCAL=$PWD/.m2/repository
rm -rf $MAVEN_REPO_LOCAL
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp install javadoc:javadoc \
        -Dmaven.test.skip=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_javadir}/mercury
for S in logging artifact external event
do
        # Code
        install -p -m644 mercury-$S/target/mercury-$S-%{version}-alpha-6.jar \
                $RPM_BUILD_ROOT%{_javadir}/mercury/$S-%{version}-alpha-6.jar
        ln -s $S-%{version}-alpha-6.jar \
                $RPM_BUILD_ROOT%{_javadir}/mercury/$S.jar

        # Javadoc
        install -d $RPM_BUILD_ROOT%{_javadir}/mercury-%{version}/$S
        cp -a mercury-$S/target/site/apidocs/* \
                $RPM_BUILD_ROOT%{_javadir}/mercury-%{version}/$S
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_javadir}/mercury
%doc release.notes.txt ./src/licenses/apache.txt


%files javadoc
%defattr(-,root,root,-)
%{_javadir}/mercury-%{version}


%changelog
* Thu Dec 24 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.0-0.2.alpha6
- Replace plexus.lang with plexus.i18n, as advised by upstream

* Sun Nov 29 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.0-0.1.alpha6
- Initial packaging
